# Perform an optional test
%bcond_without perl_Plack_Test_Agent_enables_optional_test

Name:           perl-Plack-Test-Agent
Version:        1.4
Release:        7%{?dist}
Summary:        Object-oriented interface for testing PSGI applications
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Plack-Test-Agent
Source0:        https://cpan.metacpan.org/authors/id/O/OA/OALDERS/Plack-Test-Agent-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(:VERSION) >= 5.8
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Run-time:
BuildRequires:  perl(HTTP::Message::PSGI)
BuildRequires:  perl(HTTP::Request::Common)
BuildRequires:  perl(HTTP::Response)
BuildRequires:  perl(parent)
BuildRequires:  perl(Plack::Loader)
BuildRequires:  perl(Plack::Util::Accessor)
BuildRequires:  perl(Test::TCP)
BuildRequires:  perl(Test::WWW::Mechanize)
# Tests:
BuildRequires:  perl(blib)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(HTTP::Cookies)
BuildRequires:  perl(HTTP::Server::Simple::PSGI)
BuildRequires:  perl(IO::Handle)
BuildRequires:  perl(IPC::Open3)
BuildRequires:  perl(Modern::Perl)
BuildRequires:  perl(open)
BuildRequires:  perl(Plack::Request)
# Pod::Coverage::TrustPod not used
# Pod::Wordlist not used
# Test::EOL not used
BuildRequires:  perl(Test::More) >= 0.88
# Test::NoTabs not used
# Test::Pod 1.41 not used
# Test::Pod::Coverage 1.08 not used
BuildRequires:  perl(Test::Requires)
# Test::Spelling 0.12 not used
BuildRequires:  perl(utf8)
%if %{with perl_Plack_Test_Agent_enables_optional_test}
# Optional tests:
# CPAN::Meta not helpful
# CPAN::Meta::Prereqs not helpful
# Test::CPAN::Changes not used
BuildRequires:  perl(Test::Memory::Cycle)
# Test::Portability::Files not used
%endif
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
Plack::Test::Agent is an object-oriented interface to test PSGI applications.
It can perform GET and POST requests against PSGI applications either in
process or over HTTP through a Plack::Handler compatible backend.

%prep
%setup -q -n Plack-Test-Agent-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} $RPM_BUILD_ROOT/*

%check
unset AUTHOR_TESTING RELEASE_TESTING
make test

%files
%license LICENSE
%doc Changes README.md
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Jun 25 2020 Jitka Plesnikova <jplesnik@redhat.com> - 1.4-6
- Perl 5.32 rebuild

* Tue Mar 17 2020 Jitka Plesnikova <jplesnik@redhat.com> - 1.4-5
- Add perl(blib) for tests

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri May 31 2019 Jitka Plesnikova <jplesnik@redhat.com> - 1.4-2
- Perl 5.30 rebuild

* Wed Feb 06 2019 Petr Pisar <ppisar@redhat.com> 1.4-1
- Specfile autogenerated by cpanspec 1.78.
